### Method

# GLib Date copy

since: 2.56

#### Declaration

    GDate*
    g_date_copy (
      const GDate* date
    )

#### Description

Copies a GDate to a newly-allocated GDate. If the input was invalid (as determined by g_date_valid()), the invalid state will be copied as is into the new object.

Available since: 2.56

#### Return value

Type: `GDate`

A newly-allocated `GDate` initialized from `date`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.